Package serp.util

# Class Numbers

java.lang.Object
serp.util.Numbers

public class Numbers extends Object
Number utilities.

Author:
  Abe White

## Constructor Summary

Constructors
Constructor
Description
`Numbers()`

## Method Summary

Modifier and Type
Method
Description
`static Integer`
`valueOf(int n)`
Return the wrapper for the given number, taking advantage of cached common values.
`static Long`
`valueOf(long n)`
Return the wrapper for the given number, taking advantage of cached common values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Numbers

public Numbers()

## Method Details

### valueOf

public static Integer valueOf(int n)
Return the wrapper for the given number, taking advantage of cached common values.

### valueOf

public static Long valueOf(long n)
Return the wrapper for the given number, taking advantage of cached common values.